summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-08-12 10:30:50 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-08-12 10:30:50 +0200
commit8f16335443a322578274737c8d80ce557e4d2656 (patch)
tree947d42d781b409f72c9f0fa957d8796352f9b386 /scripts/scan-pkgs.sh
parent5212b6029108093bb3ac6d8386fd999fd00f2701 (diff)
add xmbc package for raspberry-pi target
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index bc688b924..b9888a4df 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -167,6 +167,16 @@ if [[ -n $ADK_PACKAGE_GLIB ]]; then
NEED_GETTEXT="$NEED_GETTEXT glib"
fi
+if [[ -n $ADK_PACKAGE_YAJL ]]; then
+ NEED_RUBY="$NEED_RUBY yajl"
+ NEED_CMAKE="$NEED_CMAKE yajl"
+fi
+
+if [[ -n $ADK_PACKAGE_XBMC ]]; then
+ NEED_SDLDEV="$NEED_SDLDEV xbmc"
+ NEED_SDLIMAGEDEV="$NEED_SDLIMAGEDEV xbmc"
+fi
+
if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_100DPI ]]; then
NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
fi
@@ -230,6 +240,20 @@ if [[ -n $NEED_TIFFDEV ]];then
fi
fi
+if [[ -n $NEED_SDLDEV ]];then
+ if ! test -f /usr/include/SDL/SDL.h >/dev/null; then
+ echo >&2 You need libSDL headers to build $NEED_SDLDEV
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_SDLIMAGEDEV ]];then
+ if ! test -f /usr/include/SDL/SDL_image.h >/dev/null; then
+ echo >&2 You need libSDL-image headers to build $NEED_SDLIMAGEDEV
+ out=1
+ fi
+fi
+
if [[ -n $NEED_JPEGDEV ]];then
if ! test -f /usr/include/jpeglib.h >/dev/null; then
echo >&2 You need libjpeg headers to build $NEED_JPEGDEV
@@ -334,6 +358,13 @@ if [[ -n $NEED_BISON ]]; then
fi
fi
+if [[ -n $NEED_CMAKE ]]; then
+ if ! which cmake >/dev/null 2>&1; then
+ echo >&2 You need cmake to build $NEED_CMAKE
+ out=1
+ fi
+fi
+
if [[ -n $NEED_ZIP ]]; then
if ! which zip >/dev/null 2>&1; then
echo >&2 You need zip to build $NEED_ZIP